<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.store.StoreTypeOptionMapper">

    <insert id="insertBatch">
        INSERT INTO zxjp_store_type_option
        (
            store_type_id,
            option_id,
            category_code,
            item_code,
            is_default,
            default_quantity,
            allow_quantity_edit,
            sort_order,
            option_price,
            top_preview_image,
            create_time,
            update_time
        )
        VALUES
        <foreach collection="list" item="item" separator=",">
            (
                #{item.storeTypeId},
                #{item.optionId},
                #{item.categoryCode},
                #{item.itemCode},
                #{item.isDefault},
                #{item.defaultQuantity},
                #{item.allowQuantityEdit},
                #{item.sortOrder},
                #{item.optionPrice},
                #{item.topPreviewImage},
                NOW(),
                NOW()
            )
        </foreach>
    </insert>

</mapper>
